Bug 19317 - Move of checkouts - Remove leftover
Summary: Move of checkouts - Remove leftover
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Whiteboard:
Keywords:
Depends on: 18966
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-14 13:57 UTC by Jonathan Druart
Modified: 2017-10-29 18:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19317: (bug 18966 follow-up) Remove leftover (1.47 KB, patch)
2017-09-14 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Signed off removal of redundant line (1.54 KB, patch)
2017-09-14 14:52 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 19317: (bug 18966 follow-up) Remove leftover (1.58 KB, patch)
2017-09-29 13:26 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-09-14 13:57:02 UTC
Nothing important here, but this line should have been removed by bug 18966:

2177         # Update the fines
2178         $dbh->do(q|UPDATE accountlines SET issue_id = ? WHERE issue_id = ?|, undef, $old_checkout->issue_id, $issue->issue_id);

The issue_id is now the same when moved from issues to old_issues. We do not need to update the accountlines table
Comment 1 Jonathan Druart 2017-09-14 14:00:01 UTC
Created attachment 67136 [details] [review]
Bug 19317: (bug 18966 follow-up) Remove leftover

Nothing important here, but this line should have been removed by bug
18966:

2177         # Update the fines
2178         $dbh->do(q|UPDATE accountlines SET issue_id = ? WHERE
issue_id = ?|, undef, $old_checkout->issue_id, $issue->issue_id);

The issue_id is now the same when moved from issues to old_issues. We do
not need to update the accountlines table.

No test plan here, you need to understand previous changes to validate
this patch.
Comment 2 Colin Campbell 2017-09-14 14:52:06 UTC
Created attachment 67139 [details] [review]
Signed off removal of redundant line
Comment 3 Colin Campbell 2017-09-14 14:54:11 UTC
Signed off - not only is it now redundant if you profile checkins it can be a bit wasteful  of resources
Comment 4 Kyle M Hall 2017-09-29 13:26:28 UTC
Created attachment 67450 [details] [review]
Bug 19317: (bug 18966 follow-up) Remove leftover

Nothing important here, but this line should have been removed by bug
18966:

2177         # Update the fines
2178         $dbh->do(q|UPDATE accountlines SET issue_id = ? WHERE
issue_id = ?|, undef, $old_checkout->issue_id, $issue->issue_id);

The issue_id is now the same when moved from issues to old_issues. We do
not need to update the accountlines table.

No test plan here, you need to understand previous changes to validate
this patch.

Signed-off-by: Colin Campbell <colin.campbell@ptfs-europe.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2017-09-29 20:18:48 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 6 Fridolin SOMERS 2017-10-27 12:03:36 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 7 Katrin Fischer 2017-10-29 18:23:00 UTC
The removed lines don't appear to exist in 16.11.x. Closing.